Path

ez components / documentation / api reference / latest / webdav


eZ Components latest

Webdav: ezcWebdavXmlDisplayInformation

[ Tutorial ] [ Plugin architecture ] [ Class tree ] [ Element index ] [ ChangeLog ] [ Credits ]

Class: ezcWebdavXmlDisplayInformation

Display information. [source]
Used by ezcWebdavTransport to transport information on displaying a response to the browser.

Parents

ezcWebdavDisplayInformation
   |
   --ezcWebdavXmlDisplayInformation

Member Variables

public DOMDocument|string|null $body
Representation of the response body.

Should be null, if no body is to be sent, an instance of DOMDocument to send and XML body or a string representng the body if it is non-XML.
public ezcWebdavResponse $response
Response object to extract headers from.

Method Summary

public void __construct( $response, $body )
Creates a new struct.

Inherited Methods

From ezcWebdavDisplayInformation :
public void ezcWebdavDisplayInformation::__construct()
Creates a new display information.

Methods

__construct

void __construct( ezcWebdavResponse $response, $body )
Creates a new struct.
This display information must be created with DOMDocument $body.

Parameters

Name Type Description
$response ezcWebdavResponse  
$body DOMDocument  

Redefinition of

Method Description
ezcWebdavDisplayInformation::__construct() Creates a new display information.

Last updated: Mon, 10 Nov 2008